package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: webSocket消息类型 enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/22
 */
public enum WebsocketTypeEnum {

    CLIENT_PAPER_DOWNLOAD("客户端已下载试卷","clientPaperDownload"),

    SYNC_STATUS("状态同步","syncStatus"),

    SYNC_ACK( "同步确认","syncAck"),

    INVIGILATE_LIVENESS_VERIFY( "监考强制活体验证","invigilateLivenessVerify"),

    INVIGILATE_NOTICE( "监考消息","invigilateNotice"),

    INVIGILATE_NOTICE_ACK( "监考消息确认","invigilateNoticeAck"),

    INVIGILATE_STOP_EXAM( "监考强制收卷","invigilateStopExam"),

    BREACH_STOP_EXAM( "预警强制收卷","breachStopExam"),

    HAND_STOP_EXAM( "手动收卷","handStopExam");

    private String code;
    private String desc;

    private WebsocketTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
